Validate customer details
curl --request GET \
--url https://api.flutterwave.com/v3/bill-items/CB141/validate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: <content-type>'import requests
url = "https://api.flutterwave.com/v3/bill-items/CB141/validate"
headers = {
"Content-Type": "<content-type>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Content-Type': '<content-type>', Authorization: 'Bearer <token>'}
};
fetch('https://api.flutterwave.com/v3/bill-items/CB141/validate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"message": "Item validated successfully",
"data": {
"response_code": "00",
"address": null,
"response_message": "Successful",
"name": "Test DSTV Account",
"biller_code": "BIL119",
"customer": "0025401100",
"product_code": "CB141",
"email": null,
"fee": 0,
"maximum": 0,
"minimum": 0
}
}{
"status": "error",
"message": "Invalid customer id",
"data": null
}Bill Payments
Validate customer details
Validate your customer’s information. Supported input include: meter number, smartcard number, internet account number, etc.
GET
/
bill-items
/
CB141
/
validate
Validate customer details
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Available options:
application/json Example:
"application/json"
Response
OK
Show child attributes
Show child attributes
Example:
{
"response_code": "00",
"address": null,
"response_message": "Successful",
"name": "Test DSTV Account",
"biller_code": "BIL119",
"customer": "0025401100",
"product_code": "CB141",
"email": null,
"fee": 0,
"maximum": 0,
"minimum": 0
}
Was this page helpful?
⌘I